Bug 1218818 - [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed57b6916c13784d08dff98085a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-06 00:45 UTC by Adam Williamson
Modified: 2016-07-19 14:00 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:00:07 UTC


Attachments (Terms of Use)
File: backtrace (10.89 KB, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: core_backtrace (3.88 KB, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: dso_list (5.77 KB, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: environ (645 bytes, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: maps (28.37 KB, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: mountinfo (3.06 KB, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: open_fds (287 bytes, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details
File: var_log_messages (616 bytes, text/plain)
2015-05-06 00:45 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2015-05-06 00:45:37 UTC
Description of problem:
Appears in abrt after a clean install and boot of Fedora 22 Final TC1 Workstation live x86_64 to a KVM.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.17.1-9.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user/987/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
executable:     /usr/libexec/Xorg
global_pid:     1134
kernel:         4.0.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            987

Truncated backtrace:
Thread no. 1 (6 frames)
 #6 _XSERVTransClose at /usr/include/X11/Xtrans/Xtrans.c:986
 #7 CloseWellKnownConnections at connection.c:523
 #10 switch_to at lnx_init.c:72
 #11 xf86CloseConsole at lnx_init.c:324
 #13 dix_main at main.c:378
 #15 _start

Potential duplicate: bug 1114001

Comment 1 Adam Williamson 2015-05-06 00:45:39 UTC
Created attachment 1022357 [details]
File: backtrace

Comment 2 Adam Williamson 2015-05-06 00:45:39 UTC
Created attachment 1022358 [details]
File: cgroup

Comment 3 Adam Williamson 2015-05-06 00:45:40 UTC
Created attachment 1022359 [details]
File: core_backtrace

Comment 4 Adam Williamson 2015-05-06 00:45:41 UTC
Created attachment 1022360 [details]
File: dso_list

Comment 5 Adam Williamson 2015-05-06 00:45:42 UTC
Created attachment 1022361 [details]
File: environ

Comment 6 Adam Williamson 2015-05-06 00:45:43 UTC
Created attachment 1022362 [details]
File: limits

Comment 7 Adam Williamson 2015-05-06 00:45:44 UTC
Created attachment 1022363 [details]
File: maps

Comment 8 Adam Williamson 2015-05-06 00:45:45 UTC
Created attachment 1022364 [details]
File: mountinfo

Comment 9 Adam Williamson 2015-05-06 00:45:45 UTC
Created attachment 1022365 [details]
File: namespaces

Comment 10 Adam Williamson 2015-05-06 00:45:46 UTC
Created attachment 1022366 [details]
File: open_fds

Comment 11 Adam Williamson 2015-05-06 00:45:47 UTC
Created attachment 1022367 [details]
File: proc_pid_status

Comment 12 Adam Williamson 2015-05-06 00:45:48 UTC
Created attachment 1022368 [details]
File: var_log_messages

Comment 13 Adam Williamson 2015-05-06 00:47:32 UTC
Note - the system actually works fine, to all appearances.

Comment 14 Марко М. Костић (Marko M. Kostić) 2015-05-30 21:09:06 UTC
Another user experienced a similar problem:

I tried opening Google+ in Firefox and I noticed that my laptop became unresponsive. I/O indicator was on always. I guess that Xorg process started swapping to SSD. After a minute (while I was trying to get to the tty2), I got logged of the gnome session.

I do not know how to reproduce it. Also, I think that it doesn't have any connection to the opening of G+ in Firefox. Xorg is quite flaky on i915 driver in f22. I have fedora-testing-updates repo enabled.

reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
executable:     /usr/libexec/Xorg
global_pid:     4315
kernel:         4.0.4-301.fc22.x86_64
package:        xorg-x11-server-Xorg-1.17.1-12.fc22
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Antoine Martin 2015-06-25 07:10:15 UTC
As shown in top before I have to exit my session to recover some RAM as we start to seriously hit the swap (already the second time today - complete productivity killer):
2200 root      20   0 19.132g 0.013t  43392 S   6.3 68.2  14:41.39 /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3

KiB Mem : 20526288 total,   856456 free, 18253628 used,  1416204 buff/cache
KiB Swap: 33554424 total, 26940456 free,  6613968 used.  1881908 avail Mem 


Eclipse was using a lot of resources, so I killed it, and now xrestop shows everything "normal" I believe:
xrestop - Display: localhost:0
          Monitoring 36 clients. XErrors: 11
          Pixmaps:   94888K total, Other:      99K total, All:   94988K total

res-base Wins  GCs Fnts Pxms Misc   Pxm mem  Other   Total   PID Identifier    
0e00000    23    3    1    7 2453    53191K     59K  53250K  2503 cinnamon
2200000    29   64    1   82  168    21028K	 7K  21035K  2728 Inbox - Unified Folders - Mozilla Thunderbird
0000000     2    0    2    0   99    15113K	 4K  15117K   ?   <unknown>
1a00000     0    0    0    1    0     5333K	 0B   5333K   ?   <unknown>
1e00000     8    2    1    2   34      146K	 2K    148K  2531 nemo
2a00000    15   85    1    4   47	66K	 4K     70K  2914 user@desktop:~/Shared/
3a00000    15    4    1    4   34        8K	 2K     10K  3231 XP Pro Dev [Running] - Oracle VM VirtualBox
2c00000     6    3    1    2  170        2K	 5K	 7K  2957 TODO (~/user/myfile) - gedit
3c00000     7   63    1    2   16	12B	 3K	 3K  3231 VirtualBox
2e00000    11   35    1    1   15        4B	 2K	 2K  2898 google-chrome-stable
1200000     6   54    0    2   33        8B	 2K	 2K  2511 clipit
3000000     3    1    1    0   31        0B	 1K	 1K  2898 Bug 1218818 �~@~S [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT - Google Chrome
0800000     5    2    0    0   57        4B	 1K	 1K  2439 cinnamon-settings-daemon
3200000     2    1    0    0   38        0B    984B    984B   ?   <unknown>
1600000     5    1    0    0   19        0B    600B    600B  2519 NetworkManager Applet
3800000     4    1    0    0   15        0B    480B    480B  3224 cinnamon-screensaver
2000000     2    1    0    0   14        0B    408B    408B  2536 cinnamon-killer-daemon
0200000     2    1    0    0   12        0B    360B    360B  2250 cinnamon-session
1800000     2    1    0    0   10        0B    312B    312B  2537 polkit-gnome-authentication-agent-1
0c00000     2    1    0    0   10        0B    312B    312B  2486 cinnamon-launcher
1400000     2    1    0    1    7        4B    240B    244B  2520 seapplet
4400000     1    1    0    0    4        0B    144B    144B   ?   Chromium Render SPU
3600000     0    1    0    0    5        0B    144B    144B   ?   <unknown>
4600000     1    1    0    0    2        0B     96B     96B   ?   main
4000000     1    1    0    0    1        0B     72B     72B   ?   Chromium Render SPU
0400000     0    1    0    0    2        0B     72B     72B   ?   <unknown>
3400000     1    1    0    0    0        0B     48B     48B   ?   <unknown>
1c00000     1    1    0    0    0        0B     48B     48B   ?   xrestop
1000000     0    1    0    0    1        0B     48B     48B   ?   <unknown>
4800000     0    0    0    0    1        0B     24B     24B   ?   <unknown>
4200000     0    0    0    0    1        0B     24B     24B   ?   <unknown>
3e00000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
2600000     0    0    0    0    1        0B     24B     24B   ?   <unknown>
2400000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
0a00000     0    1    0    0    0        0B     24B     24B   ?   <unknown>
0600000     0    1    0    0    0        0B     24B     24B   ?   <unknown>

Any advice on how to figure out where my RAM is going would be much appreciated.

Comment 16 Antoine Martin 2015-06-25 17:49:59 UTC
Sorry about the line noise, my problem was due to a buggy nvidia proprietary driver. Please ignore the comment above.

Comment 17 Darcy 2015-07-02 12:44:53 UTC
I think I'm getting the same symptoms.  Noticeably when using eclipse / firefox, the swap drive fills up at apparently random intervals and requires a hard restart or the session crashes and I'm back at the login screen.  Makes the computer completely unusable.

F22 using Xorg 1.17.2-1 with i915 drivers.  Happy to provide more information if required.

Comment 18 Antoine Martin 2015-07-02 13:46:56 UTC
And it's come back, with an older version of the drivers (346.59), which used to work just fine.
Got logged out twice today, soon after the box started getting really sluggish - and it was pretty bad before that too.
Interesting data point: I am also using eclipse (mostly with pydev), but not firefox.
Eclipse already has a few problems for me in F22:
https://bugzilla.redhat.com/show_bug.cgi?id=1198217

Comment 19 Antoine Martin 2015-07-22 12:44:52 UTC
Happening with a clean install on a completely different system.
I've added the nvidia drivers, eclipse, chrome and a bunch of minor development things and the memory leak is definitely present again, but since this system as 24GB of ram, I don't care as much.
xrestop still shows nothing of interest, any other suggestions?

Comment 20 Darcy 2015-07-28 04:30:32 UTC
I still have this problem too.  It seems to be related to Eclipse use only, if I don't open Eclipse then there are no swapping problems.  I have tried on a system with an nvidia gpu as well as 2 laptops (Intel SB and HSW) and it is present on all.

Interestingly enough, Eclipse Mars does not seem to cause any swapping issues for me but the indexer is broken for me and no fedora package exists for it.  

Antoine, can you please see if Eclipse Mars causes the same issue?  This is likely an issue with Eclipse or Java?

Comment 21 Antoine Martin 2015-07-28 08:01:02 UTC
I had tried with Mars before, but the svn integration doesn't work for me (nested tunnels) and that kills my workflow almost as much.

But you're right, the memory leak does seem to go away. So this looks like an Xorg leak that only occurs with eclipse 4.4...

Comment 22 Fedora End Of Life 2016-07-19 14:00:07 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.